package com.thetus.oss.maven.hierarchy;

import org.apache.maven.execution.MavenSession;
import org.apache.maven.project.MavenProject;
import org.apache.maven.project.ProjectBuilder;
import org.apache.maven.project.ProjectBuildingException;

import java.io.File;

/**
 *
 */
public interface IMavenProjectHierarchyBuilder {
    public MavenProjectHierarchy buildHierarchy (MavenProject project,boolean lookBack,boolean lookExtra);

    public MavenProjectHierarchy buildHierarchy (File pomFile,boolean lookBack,boolean lookExtra) throws ProjectBuildingException;

    public MavenProject buildProject (File pomFile) throws ProjectBuildingException;

    public MavenSession getSession ();

    public ProjectBuilder getProjectBuilder ();
}
